noinst_LIBRARIES=libsha.a
TESTS=sha1test shatest
EXTRA_PROGRAMS=sha sha1test shatest
INCLUDES=-I$(top_srcdir)/crypto

libsha_a_SOURCES=sha_dgst.c sha1dgst.c sha_one.c sha1_one.c

sha_SOURCES=sha.c
sha_LDFLAGS=-L$(top_builddir)/crypto
sha_LDADD=-lcrypto
sha_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

shatest_SOURCES=shatest.c
shatest_LDFLAGS=-L$(top_builddir)/crypto
shatest_LDADD=-lcrypto
shatest_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

sha1test_SOURCES=sha1test.c
sha1test_LDFLAGS=-L$(top_builddir)/crypto
sha1test_LDADD=-lcrypto
sha1test_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

EXTRA_DIST=Makefile.ssl sha.h sha_locl.h

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a
